Description: add soversion to shared library
Author: IOhannes m zmölnig
Forwarded: https://github.com/ktossell/libuvc/pull/88
Last-Update: 2017-09-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- libuvc.orig/CMakeLists.txt
+++ libuvc/CMakeLists.txt
@@ -79,6 +79,8 @@
 
 if(BUILD_UVC_SHARED)
   add_library(uvc SHARED ${SOURCES})
+  set_property(TARGET uvc PROPERTY VERSION ${libuvc_VERSION} )
+  set_property(TARGET uvc PROPERTY SOVERSION ${libuvc_VERSION_MAJOR} )
   list(APPEND UVC_TARGETS uvc)
 endif()
 
